=== debian/changelog ===
socket-wrapper (1.4.2-3) unstable; urgency=medium

  * fix-unknown-syscall.diff: Fix patch, fixes FTBFS on arm.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 22 Aug 2023 08:49:40 +0200

socket-wrapper (1.4.2-2) unstable; urgency=medium

  * drop-unknown-syscall.diff: Remove, incorrect fix.
  * fix-unknown-syscall.diff: Add, forwarded version.
  * wrap-and-sort: Add test.
  * manpage-rebuild: Add self-test.
  * Avoid writing to srcdir to reduce extend-diff-ignore.
  * Hurd_PATH_MAX.patch: Use forwarded patch version.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 19 Aug 2023 12:00:28 +0200

socket-wrapper (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Make package team maintained.
  * patches: Refresh
  * Build with hardening=+all.
  * Add Rules-Requires-Root: no.
  * Drop obsolete XS-Testsuite.
  * Add Vcs-* fields.
  * Simplify watch file, silencing
    debian-watch-does-not-check-openpgp-signature.
  * Add debian/upstream/signing-key.asc.
  * Add debian/upstream/metadata.
  * copyright: Add myself for debian/* changes.
  * doc: Use asciidoctor for manpage to reduce dependencies.
  * Drop duplicated B-D on libcmocka-dev (alas it is needed even for
    nocheck), and drop version rule (unnecessary since buster).
  * drop-unknown-syscall.diff: Add, unreliable check.
  * tests: Fix LD_PRELOAD.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 06 Aug 2023 20:10:38 +0200
