=== debian/control ===
Source: socket-wrapper
Homepage: http://cwrap.org/socket_wrapper.html
Section: devel
Priority: optional
Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
Uploaders:
 Laszlo Boszormenyi (GCS) <gcs@debian.org>,
 Timo Aaltonen <tjaalton@debian.org>,
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 asciidoctor,
 cmake (>= 2.8.8-3~),
 debhelper-compat (= 13),
 dh-buildinfo,
 libcmocka-dev,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/sssd-team/socket-wrapper.git
Vcs-Browser: https://salsa.debian.org/sssd-team/socket-wrapper
Rules-Requires-Root: no

Package: libsocket-wrapper
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: socket wrapper library
 socket_wrapper is a preload library that makes possible to run several
 instances of the full software stack on the same machine and perform locally
 functional testing of complex network configurations. It passes all socket
 communication over unix domain sockets.
