=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	dh_auto_configure -- -DUNIT_TESTING=1

override_dh_auto_install:
	dh_auto_install
	asciidoctor -b manpage doc/socket_wrapper.1.adoc \
		-D debian/libsocket-wrapper/usr/share/man/man1

%:
	dh $@  --buildsystem=cmake --builddirectory=$(CURDIR)/obj/

.PHONY: override_dh_auto_configure
.PHONY: override_dh_auto_install
