=== debian/changelog ===
socket-wrapper (1.4.3-2) unstable; urgency=medium

  [ Simon Josefsson ]
  * Mark our no-soname patch as not needing forwarding.

  [ Helge Deller ]
  * Disable time64 transition.  Closes: #1069450.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 05 Nov 2024 19:40:43 +0100

socket-wrapper (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Fix typo in debian/copyright (thanks licenserecon).
  * Use CI job for wrap-and-sort instead of debci.
  * Drop upstreamed fix-unknown-syscall.diff and Hurd_PATH_MAX.patch.
  * Standards-Version: 4.7.0.
  * Fix lintian update-debian-copyright.
  * Refresh no-soname.diff.
  * Drop support for armel+armhf, pending proper #1069450 fix.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 23 Sep 2024 16:41:40 +0200
