=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  debhelper-compat (= 13),
  dh-buildinfo,
  libcmocka-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/sssd-team/socket-wrapper.git
 Vcs-Browser: https://salsa.debian.org/sssd-team/socket-wrapper
 Rules-Requires-Root: no
