=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -143,7 +143,7 @@
     add_cmocka_test(${_SWRAP_TEST}
                     SOURCES ${_SWRAP_TEST}.c
                     COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS} -D_GNU_SOURCE ${LFS_CFLAGS}
-                    LINK_LIBRARIES ${TORTURE_LIBRARY} socket_wrapper_noop
+                    LINK_LIBRARIES ${TORTURE_LIBRARY} ${CMOCKA_LIBRARY} socket_wrapper_noop
                     LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
     add_cmocka_test_environment(${_SWRAP_TEST})
 endforeach()
@@ -178,7 +178,7 @@
 add_cmocka_test(test_swrap_unit
                 SOURCES test_swrap_unit.c
                 COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS} -D_GNU_SOURCE
-                LINK_LIBRARIES ${TORTURE_LIBRARY} socket_wrapper_noop
+                LINK_LIBRARIES ${TORTURE_LIBRARY} ${CMOCKA_LIBRARY} socket_wrapper_noop
                 LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
 add_cmocka_test_environment(test_swrap_unit)
 
@@ -190,6 +190,6 @@
 add_cmocka_test(test_fork_thread_deadlock
                 SOURCES test_fork_thread_deadlock.c
                 COMPILE_OPTIONS ${DEFAULT_C_COMPILE_FLAGS} -D_GNU_SOURCE
-                LINK_LIBRARIES ${TORTURE_LIBRARY} thread_deadlock
+                LINK_LIBRARIES ${TORTURE_LIBRARY} ${CMOCKA_LIBRARY} thread_deadlock
                 LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
 add_cmocka_test_environment(test_fork_thread_deadlock)
