=== debian/changelog ===
socket-wrapper (1.4.4-3) unstable; urgency=medium

  * d/tests: pass CPPFLAGS to cmake in CFLAGS.

 -- Shengqi Chen <harry@debian.org>  Wed, 05 Mar 2025 09:51:46 +0800

socket-wrapper (1.4.4-2) unstable; urgency=medium

  [ Shengqi Chen ]
  * Use non-time64 CFLAGS/CPPFLAGS.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 04 Mar 2025 12:05:04 +0100

socket-wrapper (1.4.4-1) unstable; urgency=medium

  [ наб ]
  * d/control: Build-Depends: remove dh-buildinfo (see #1068809)

  [ Simon Josefsson ]
  * New upstream version 1.4.4
  * Standards-Version: 4.7.2.
  * Bump debian/* copyright years.
  * Fix wrap-and-sort nit.
  * tests: Make building verbose, print CC commands.
  * d/rules:  Harmonize with other *-wrapper packages.
  * Put gcc -dumpspec in build logs.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 03 Mar 2025 21:40:44 +0100
