=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=-time64

%:
	dh $@ --builddirectory=build

unittest = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,-DUNIT_TESTING=1)

execute_before_dh_auto_build:
	gcc -dumpspecs

execute_after_dh_auto_install:
	asciidoctor -b manpage doc/socket_wrapper.1.adoc \
		-D debian/libsocket-wrapper/usr/share/man/man1

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		$(unittest)
