## socket-wrapper 1.5.0

=== debian/changelog ===
socket-wrapper (1.5.0-2) unstable; urgency=medium

  * Merge in 1.4.4-3 changes.
  * salsa-ci: Enable i386/arm jobs.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 18 Aug 2025 14:22:16 +0200

socket-wrapper (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * Refresh patches.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 17 Aug 2025 16:49:23 +0200
