=== debian/changelog ===
socket-wrapper (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * salsa-ci: Fix licenserecon usage.
  * Refresh patches.
  * Use watch v5.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 15 Sep 2025 08:04:15 +0200
