=== debian/control ===
--- 
+++ 
@@ -8,12 +8,11 @@
  Timo Aaltonen <tjaalton@debian.org>,
  Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  asciidoctor,
  cmake (>= 2.8.8-3~),
- debhelper-compat (= 13),
- dh-buildinfo,
  libcmocka-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/sssd-team/socket-wrapper.git
 Vcs-Browser: https://salsa.debian.org/sssd-team/socket-wrapper
 Rules-Requires-Root: no
