=== debian/tests/control ===
Tests:
 tests,
Depends:
 build-essential,
 cmake (>= 2.8.8-3~),
 libcmocka-dev (>= 0.4.1),
 libsocket-wrapper,
Restrictions:
 allow-stderr,

Tests:
 adequate,
Depends:
 adequate,
 libsocket-wrapper,

Tests:
 manpage-rebuild,
Depends:
 libsocket-wrapper,
Restrictions:
 superficial,
