=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,11 @@
     set(CMOCKA_LIBRARY cmocka::cmocka)
 endif()
 
+# Check for newer cmocka functions to avoid deprecated warnings
+include(CheckLibraryExists)
+set(CMAKE_REQUIRED_LIBRARIES ${CMOCKA_LIBRARY})
+check_library_exists("${CMOCKA_LIBRARY}" _assert_uint_in_range "" HAVE_ASSERT_UINT_IN_RANGE)
+
 set(TORTURE_LIBRARY torture)
 
 # RFC862 echo server
@@ -23,6 +28,24 @@
 target_link_libraries(echo_srv ${SWRAP_REQUIRED_LIBRARIES})
 if (DEFINED DEFAULT_LINK_FLAGS)
     set_target_properties(echo_srv
+                          PROPERTIES
+                              LINK_FLAGS ${DEFAULT_LINK_FLAGS})
+endif()
+
+# Helper tool to calculate optimal unix_scm_rights_payload configuration
+add_executable(calc_unix_scm_rights_payload calc_unix_scm_rights_payload.c)
+target_compile_options(calc_unix_scm_rights_payload
+                       PRIVATE
+                           ${DEFAULT_C_COMPILE_FLAGS}
+                           -D_GNU_SOURCE)
+target_include_directories(calc_unix_scm_rights_payload
+                           PRIVATE
+                               ${CMAKE_BINARY_DIR})
+target_link_libraries(calc_unix_scm_rights_payload
+    ${SWRAP_REQUIRED_LIBRARIES}
+    ${CMAKE_THREAD_LIBS_INIT})
+if (DEFINED DEFAULT_LINK_FLAGS)
+    set_target_properties(calc_unix_scm_rights_payload
                           PROPERTIES
                               LINK_FLAGS ${DEFAULT_LINK_FLAGS})
 endif()
@@ -148,6 +171,11 @@
     add_cmocka_test_environment(${_SWRAP_TEST})
 endforeach()
 
+# Add compile definition for test that needs to check for newer cmocka function
+if (HAVE_ASSERT_UINT_IN_RANGE)
+    target_compile_definitions(test_echo_tcp_get_peer_sock_name PRIVATE HAVE_ASSERT_UINT_IN_RANGE)
+endif()
+
 if (HELGRIND_TESTING)
     find_program(VALGRIND_EXECUTABLE valgrind)
     if (VALGRIND_EXECUTABLE)
@@ -193,3 +221,54 @@
                 LINK_LIBRARIES ${TORTURE_LIBRARY} ${CMOCKA_LIBRARY} thread_deadlock
                 LINK_OPTIONS ${DEFAULT_LINK_FLAGS})
 add_cmocka_test_environment(test_fork_thread_deadlock)
+
+# Python concurrency reproducer test
+# Skip this test when building with ThreadSanitizer as it causes issues
+if (CMAKE_BUILD_TYPE)
+    string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER_FOR_PYTHON)
+endif()
+
+find_package(Python3 COMPONENTS Interpreter)
+if (Python3_FOUND AND NOT CMAKE_BUILD_TYPE_LOWER_FOR_PYTHON STREQUAL "threadsanitizer")
+    # Create wrapper script that sets up temporary directory
+    set(PYTHON_TEST_WRAPPER "${CMAKE_CURRENT_BINARY_DIR}/run_python_concurrency_test.sh")
+    file(WRITE ${PYTHON_TEST_WRAPPER}
+"#!/bin/bash
+
+TMPDIR=\$(mktemp -d /tmp/swrap_python_XXXXXX)
+trap 'rm -rf \$TMPDIR' EXIT
+
+export SOCKET_WRAPPER_DIR=\$TMPDIR
+export SOCKET_WRAPPER_DEFAULT_IFACE=10
+
+${Python3_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/python_concurency_reproducer.py
+")
+
+    add_test(NAME test_python_concurrency_reproducer
+             COMMAND bash ${PYTHON_TEST_WRAPPER})
+
+    if (ASAN_LIBRARY)
+        list(APPEND PYTHON_PRELOAD_LIBRARIES ${ASAN_LIBRARY})
+    endif()
+    list(APPEND PYTHON_PRELOAD_LIBRARIES ${SWRAP_FAKE_UID_WRAPPER_LOCATION})
+    list(APPEND PYTHON_PRELOAD_LIBRARIES ${SOCKET_WRAPPER_LOCATION})
+
+    if (OSX)
+        set(PYTHON_TORTURE_ENVIRONMENT "DYLD_FORCE_FLAT_NAMESPACE=1;DYLD_INSERT_LIBRARIES=${SOCKET_WRAPPER_LOCATION}")
+    else ()
+        string(REPLACE ";" ":" _PYTHON_TMP_ENV "${PYTHON_PRELOAD_LIBRARIES}")
+        set(PYTHON_TORTURE_ENVIRONMENT "LD_PRELOAD=${_PYTHON_TMP_ENV}")
+    endif()
+
+    if (CMAKE_BUILD_TYPE)
+        string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER)
+        if (CMAKE_BUILD_TYPE_LOWER STREQUAL "addresssanitizer" OR
+            CMAKE_BUILD_TYPE_LOWER STREQUAL "threadsanitizer" OR
+            CMAKE_BUILD_TYPE_LOWER STREQUAL "undefinedsanitizer")
+            list(APPEND PYTHON_TORTURE_ENVIRONMENT "SOCKET_WRAPPER_DISABLE_DEEPBIND=1")
+        endif()
+    endif()
+
+    set_property(TEST test_python_concurrency_reproducer
+                 PROPERTY ENVIRONMENT "${PYTHON_TORTURE_ENVIRONMENT}")
+endif()
