=== debian/changelog ===
socket-wrapper (1.5.2-2) unstable; urgency=medium

  * Add python3 as Depends for tests
  * Fix manpage-rebuild autopkgtest

 -- Simon Josefsson <simon@josefsson.org>  Sun, 14 Dec 2025 09:14:54 +0100

socket-wrapper (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2 (Closes: #1122651)
  * Refresh patch
  * Drop Rules-Requires-Root: no
  * Drop Salsa arm builds

 -- Simon Josefsson <simon@josefsson.org>  Fri, 12 Dec 2025 10:25:55 +0100
