=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/sssd-team/socket-wrapper.git
 Vcs-Browser: https://salsa.debian.org/sssd-team/socket-wrapper
-Rules-Requires-Root: no
 
 Package: libsocket-wrapper
 Architecture: any
