=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
  cmake (>= 2.8.8-3~),
  libcmocka-dev (>= 0.4.1),
  libsocket-wrapper,
+ python3,
 Restrictions:
  allow-stderr,
